clang 8.0.0

Public Types | Public Member Functions | List of all members
clang::EnterExpressionEvaluationContext Class Reference

RAII object that enters a new expression evaluation context. More...

`#include "clang/Sema/Sema.h"`

## Public Types
enum | InitListTag { InitList }

## Public Member Functions
| EnterExpressionEvaluationContext (Sema &Actions, Sema::ExpressionEvaluationContext NewContext, Decl *LambdaContextDecl=nullptr, Sema::ExpressionEvaluationContextRecord::ExpressionKind ExprContext=Sema::ExpressionEvaluationContextRecord::EK_Other, bool ShouldEnter=true)
| EnterExpressionEvaluationContext (Sema &Actions, Sema::ExpressionEvaluationContext NewContext, Sema::ReuseLambdaContextDecl_t, Sema::ExpressionEvaluationContextRecord::ExpressionKind ExprContext=Sema::ExpressionEvaluationContextRecord::EK_Other)
| EnterExpressionEvaluationContext (Sema &Actions, InitListTag, bool ShouldEnter=true)
| ~EnterExpressionEvaluationContext ()

## Detailed Description

RAII object that enters a new expression evaluation context.

Definition at line 10853 of file Sema.h.

## Member Enumeration Documentation

## ◆ InitListTag

enum clang::EnterExpressionEvaluationContext::InitListTag

Enumerator
InitList |

Definition at line 10879 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ EnterExpressionEvaluationContext() [1/3]

clang::EnterExpressionEvaluationContext::EnterExpressionEvaluationContext | ( | Sema & | Actions,
|  | Sema::ExpressionEvaluationContext | NewContext,
|  | Decl * | LambdaContextDecl = `nullptr`,
|  | Sema::ExpressionEvaluationContextRecord::ExpressionKind | ExprContext = `Sema::ExpressionEvaluationContextRecord::EK_Other`,
|  | bool | ShouldEnter = `true`
| ) |  |
| inline

Definition at line 10858 of file Sema.h.

References clang::Sema::PushExpressionEvaluationContext().

## ◆ EnterExpressionEvaluationContext() [2/3]

clang::EnterExpressionEvaluationContext::EnterExpressionEvaluationContext | ( | Sema & | Actions,
|  | Sema::ExpressionEvaluationContext | NewContext,
|  | Sema::ReuseLambdaContextDecl_t | ,
|  | Sema::ExpressionEvaluationContextRecord::ExpressionKind | ExprContext = `Sema::ExpressionEvaluationContextRecord::EK_Other`
| ) |  |
| inline

Definition at line 10869 of file Sema.h.

References clang::Sema::PushExpressionEvaluationContext().

## ◆ EnterExpressionEvaluationContext() [3/3]

clang::EnterExpressionEvaluationContext::EnterExpressionEvaluationContext | ( | Sema & | Actions,
|  | InitListTag | ,
|  | bool | ShouldEnter = `true`
| ) |  |
| inline

Definition at line 10880 of file Sema.h.

References clang::Sema::getLangOpts(), clang::Sema::isUnevaluatedContext(), and clang::Sema::PushExpressionEvaluationContext().

## ◆ ~EnterExpressionEvaluationContext()

clang::EnterExpressionEvaluationContext::~EnterExpressionEvaluationContext | ( |  | ) |
| inline

Definition at line 10895 of file Sema.h.

References clang::MakeDeductionFailureInfo(), and clang::Sema::PopExpressionEvaluationContext().

The documentation for this class was generated from the following file:

- include/clang/Sema/Sema.h